import QtQuick 2.15
import QtQuick.Layouts 1.15
import org.kde.plasma.components 3.0 as PlasmaComponents
import org.kde.plasma.core as PlasmaCore
import org.kde.plasma.plasmoid 2.0

PlasmoidItem {
    id: root

    width: 32
    height: parent.height

    Rectangle {
        id: rect

        implicitWidth: 32
        height: parent.height
        color: "transparent"
    }

    Timer {
        id: timer

        running: true
        repeat: true
        interval: 1000
        onTriggered: {
            let cfg_interval = plasmoid.configuration.cfg_interval;
            let cfg_width = plasmoid.configuration.cfg_width;
            let width = "" + (Math.random() * cfg_width);
            rect.width = width;
            root.Layout.preferredWidth = width;
            timer.interval = cfg_interval * 1000;
        }
    }

}
